Publish Record List
List publish records for the current API key account. Omit filters to return all records, or filter by channel account, platform, publish time range, or status.
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/publish/records \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/publish/records"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/publish/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/publish/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": [
{
"id": "string",
"flowId": "string",
"userTaskId": "string",
"accountId": "string",
"accountType": "string",
"type": "string",
"status": "number",
"title": "string",
"desc": "string",
"publishTime": "string",
"platformWorkId": "string",
"workLink": "string",
"videoUrl": "string",
"coverUrl": "string",
"imgUrlList": [
"string"
],
"source": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"requestId": "string"
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Query Parameters
Optional channel account ID from Account List.
Optional platform identifier from Platform List.
douyin, xhs, wxSph, KWAI, youtube, wxGzh, bilibili, twitter, tiktok, facebook, instagram, threads, pinterest, linkedin, google_business Optional publish time range. Provide start and end times in ISO 8601 format.
start time
Optional publish status used to filter records.
Response
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Hide child attributes
Hide child attributes
Business status code. 0 means success; non-zero means a business error.
Response message.
Request ID.
Error response timestamp in Unix milliseconds.
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/publish/records \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/publish/records"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/publish/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/publish/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": [
{
"id": "string",
"flowId": "string",
"userTaskId": "string",
"accountId": "string",
"accountType": "string",
"type": "string",
"status": "number",
"title": "string",
"desc": "string",
"publishTime": "string",
"platformWorkId": "string",
"workLink": "string",
"videoUrl": "string",
"coverUrl": "string",
"imgUrlList": [
"string"
],
"source": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"requestId": "string"
}
